--- old/usr/src/uts/common/inet/ip.h	2012-09-26 12:51:42.807417288 +0000
+++ new/usr/src/uts/common/inet/ip.h	2012-09-26 12:51:41.256743992 +0000
@@ -23,6 +23,9 @@
  * Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 1990 Mentat Inc.
  */
+/*
+ * Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+ */
 
 #ifndef	_INET_IP_H
 #define	_INET_IP_H
@@ -3698,6 +3701,10 @@
 extern mblk_t	*ip_recv_attr_free_mblk(mblk_t *);
 extern boolean_t ip_recv_attr_is_mblk(mblk_t *);
 
+extern char	*inet_ntop(int, const void *, char *, int);
+extern int	_inet_pton(int, char *, void *);
+#define	inet_pton(x, y, z)	_inet_pton(x, y, z)
+
 /*
  * Squeue tags. Tags only need to be unique when the callback function is the
  * same to distinguish between different calls, but we use unique tags for
